SimpleXMLIterator
SimpleXMLIterator::getChildren
SimpleXMLIterator
PHP Manual

# SimpleXMLIterator::current

(PHP 5 >= 5.1.0)

SimpleXMLIterator::current — Returns the current element

### Description

mixed SimpleXMLIterator::current ( void )

This method returns the current element as a SimpleXMLIterator object or `NULL`.

### Parameters

This function has no parameters.

### Return Values

Returns the current element as a SimpleXMLIterator object or `NULL` on failure.

### Examples

Example #1 Return the current element

`<?php
$xmlIterator = new SimpleXMLIterator('<books><book>PHP basics</book><book>XML basics</book></books>');
var_dump($xmlIterator->current());
$xmlIterator->rewind(); // rewind to first element
var_dump($xmlIterator->current());
?>`

The above example will output:

    NULL
    object(SimpleXMLIterator)#2 (1) {
      [0]=>
      string(10) "PHP basics"
    }

SimpleXMLIterator
SimpleXMLIterator::getChildren
SimpleXMLIterator
PHP Manual